# PeclMemcached Class Reference
[Application-wide cache subsystem]

Connector for PECL's Memcache extension by Antony Dovgal. More...

Inheritance diagram for PeclMemcached:
[legend]

List of all members.

## Public Member Functions

| __construct ($host=Memcached::DEFAULT_HOST, $port=Memcached::DEFAULT_PORT)
| __destruct ()
| clean ()
| increment ($key, $value)
| decrement ($key, $value)
| getList ($indexes)
| get ($index)
| delete ($index)
| append ($key, $data)

## Static Public Member Functions

static | create ($host=Memcached::DEFAULT_HOST, $port=Memcached::DEFAULT_PORT)

## Public Attributes

const | DEFAULT_PORT = 11211
const | DEFAULT_HOST = '127.0.0.1'

## Protected Member Functions

| store ($action, $key, $value, $expires=Cache::EXPIRES_MEDIUM)

## Private Attributes

| $instance = null

## Detailed Description

Connector for PECL's Memcache extension by Antony Dovgal.

See also:
  http://tony2001.phpclub.net/
  http://pecl.php.net/package/memcache

Definition at line 20 of file PeclMemcached.class.php.

## Constructor & Destructor Documentation

PeclMemcached::__construct | ( | $ | host = `Memcached::DEFAULT_HOST`,
|  | $ | port = `Memcached::DEFAULT_PORT` |
| ) |  |  |

Definition at line 38 of file PeclMemcached.class.php.

PeclMemcached::__destruct | ( |  | ) |

Definition at line 58 of file PeclMemcached.class.php.

## Member Function Documentation

PeclMemcached::append | ( | $ | key,
|  | $ | data |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 136 of file PeclMemcached.class.php.

References Assert::isUnreachable().

Here is the call graph for this function:

PeclMemcached::clean | ( |  | ) |

Returns:
  PeclMemcached

Reimplemented from CachePeer.

Definition at line 72 of file PeclMemcached.class.php.

static PeclMemcached::create | ( | $ | host = `Memcached::DEFAULT_HOST`,
|  | $ | port = `Memcached::DEFAULT_PORT` |
| ) |  |  | `[static]`

Returns:
  PeclMemcached

Definition at line 30 of file PeclMemcached.class.php.

PeclMemcached::decrement | ( | $ | key,
|  | $ | value |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 92 of file PeclMemcached.class.php.

PeclMemcached::delete | ( | $ | index | ) |

Reimplemented from CachePeer.

Definition at line 122 of file PeclMemcached.class.php.

References Assert::isUnreachable().

Here is the call graph for this function:

PeclMemcached::get | ( | $ | index | ) |

Reimplemented from CachePeer.

Definition at line 109 of file PeclMemcached.class.php.

References Assert::isUnreachable().

Here is the call graph for this function:

PeclMemcached::getList | ( | $ | indexes | ) |

Reimplemented from CachePeer.

Definition at line 101 of file PeclMemcached.class.php.

PeclMemcached::increment | ( | $ | key,
|  | $ | value |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 83 of file PeclMemcached.class.php.

PeclMemcached::store | ( | $ | action,
|  | $ | key,
|  | $ | value,
|  | $ | expires = `Cache::EXPIRES_MEDIUM` |
| ) |  |  | `[protected]`

Reimplemented from CachePeer.

Definition at line 147 of file PeclMemcached.class.php.

References Assert::isUnreachable().

Here is the call graph for this function:

## Member Data Documentation

PeclMemcached::$instance = null`[private]`

Definition at line 25 of file PeclMemcached.class.php.

const PeclMemcached::DEFAULT_HOST = '127.0.0.1'

Definition at line 23 of file PeclMemcached.class.php.

const PeclMemcached::DEFAULT_PORT = 11211

Definition at line 22 of file PeclMemcached.class.php.

The documentation for this class was generated from the following file:

- core/Cache/PeclMemcached.class.php